Update of /cvsroot/sbcl/sbcl
In directory usw-pr-cvs1:/tmp/cvs-serv5860
Modified Files:
BUGS slam.sh version.lisp-expr
Log Message:
0.7.9.5:
* new bug
* slam.sh supports CMUCL
Index: BUGS
===================================================================
RCS file: /cvsroot/sbcl/sbcl/BUGS,v
retrieving revision 1.221
retrieving revision 1.222
diff -u -d -r1.221 -r1.222
--- BUGS 26 Oct 2002 05:30:58 -0000 1.221
+++ BUGS 27 Oct 2002 05:04:46 -0000 1.222
@@ -1380,6 +1380,12 @@
produce invalid code, but type checking is not accurate. Similar
problems exist with VALUES-TYPE-INTERSECTION.)
+218: "VALUES type specifier semantics"
+ (THE (VALUES ...) ...) in safe code discards extra values.
+
+ (defun test (x y) (the (values integer) (truncate x y)))
+ (test 10 4) => 2
+
DEFUNCT CATEGORIES OF BUGS
IR1-#:
Index: slam.sh
===================================================================
RCS file: /cvsroot/sbcl/sbcl/slam.sh,v
retrieving revision 1.8
retrieving revision 1.9
diff -u -d -r1.8 -r1.9
--- slam.sh 2 Sep 2002 22:35:18 -0000 1.8
+++ slam.sh 27 Oct 2002 05:04:46 -0000 1.9
@@ -63,10 +63,9 @@
# recommended way to make that happen.
#######################################################################
-if [ "" != "$*" ]; then
- echo no command line arguments supported in this version of slam
- exit 1
-fi
+HOST_TYPE="${1:-sbcl}"
+
+echo //HOST_TYPE=\"$HOST_TYPE\"
# We don't try to be general about this in this script the way we are
# in make.sh, since the idiosyncrasies of SBCL command line argument
@@ -74,7 +73,21 @@
# and the SBCL-vs-CMUCL dependence of --core/-core argument syntax
# make it too messy to try deal with arbitrary SBCL_XC_HOST variants.
# So you have no choice:
-export SBCL_XC_HOST='sbcl --disable-debugger'
+case "$HOST_TYPE" in
+ cmucl) LISP="lisp -batch"
+ INIT="-noinit"
+ CORE="-core"
+ ;;
+ sbcl) LISP="sbcl"
+ INIT="--sysinit /dev/null --userinit /dev/null"
+ CORE="--core"
+ ;;
+ *) echo unknown host type: "$HOST_TYPE"
+ echo should be one of "sbcl" or "cmucl"
+ exit 1
+esac
+
+export SBCL_XC_HOST="$LISP $INIT"
# (We don't do make-host-1.sh at all. Hopefully nothing relevant has
# changed.)
@@ -84,7 +97,7 @@
# Instead of doing the full make-host-2.sh, we (1) use after-xc.core
# to rebuild only obviously-out-of-date Lisp files, then (2) run
# GENESIS.
-sbcl --core output/after-xc.core --sysinit /dev/null --userinit /dev/null <<'EOF' || exit 1
+$LISP $CORE output/after-xc.core $INIT <<'EOF' || exit 1
(load "src/cold/slam.lisp")
EOF
# (This ^ used to be
Index: version.lisp-expr
===================================================================
RCS file: /cvsroot/sbcl/sbcl/version.lisp-expr,v
retrieving revision 1.613
retrieving revision 1.614
diff -u -d -r1.613 -r1.614
--- version.lisp-expr 26 Oct 2002 13:35:55 -0000 1.613
+++ version.lisp-expr 27 Oct 2002 05:04:46 -0000 1.614
@@ -18,4 +18,4 @@
;;; versions, especially for internal versions off the main CVS
;;; branch, it gets hairier, e.g. "0.pre7.14.flaky4.13".)
-"0.7.9.4"
+"0.7.9.5"
|